Subject: Re: linux-next: build failure after merge of the sound-asoc-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 28 Oct 2025 09:34:11 +1100

Hi all,

On Fri, 24 Oct 2025 12:09:20 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> On Fri, 24 Oct 2025 00:49:11 +0100 Mark Brown <[email-masked]> wrote:
> >
> > On Fri, Oct 24, 2025 at 10:19:31AM +1100, Stephen Rothwell wrote:  
> > > Hi all,
> > > 
> > > After merging the sound-asoc-fixes tree, today's linux-next build
> > > (x86_64 allmodconfig) failed like this:
> > > 
> > > sound/soc/sdw_utils/soc_sdw_utils.c:316:18: error: 'struct asoc_sdw_codec_info' has no member named 'name_prefix'
> > >   316 |                 .name_prefix = "rt1320",
> > >       |                  ^~~~~~~~~~~
> > > sound/soc/sdw_utils/soc_sdw_utils.c:316:32: error: initialization of 'int' from 'char *' makes integer from pointer without a cast [-Wint-conversion]
> > >   316 |                 .name_prefix = "rt1320",
> > >       |                                ^~~~~~~~    
> > 
> > And I do x86 allmodconfig builds which should stop something that breaks
> > getting published...  
> 
> Yeah, so there must be an interaction with something merged before your
> tree ... but I couldn't find anything obvious, sorry.

I am still getting this failure.  I cannot find anything that would
have interacted with this addition of name_prefix.  I can only
speculate that maybe this file was not built in the past for an x86_64
allmodconfig (i.e. some KCONFIG change) or an update to an include file
has messed being committed.

-- 
Cheers,
Stephen Rothwell